
/* Albert Sans – Regular (400) */
@font-face {
    font-family: 'Albert Sans';
    src: url('../fonts/AlbertSans-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

/* Albert Sans – Bold (700) */
@font-face {
    font-family: 'Albert Sans';
    src: url('../fonts/AlbertSans-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

/* Albert Sans – Thin (100) */
@font-face {
    font-family: 'Albert Sans';
    src: url('../fonts/AlbertSans-Thin.ttf') format('truetype');
    font-weight: 100;
    font-style: normal;
    font-display: swap;
}
:root{
    --blue-forte: #222e58;
    --blue: #23497e;
    --blue-orphan: #80b6c5;
    --white-dirty: #f1f2f1;
    --aqua: #00a2bc;
    --sand: #e1d5c5ff;
}
.aqua{
    color: var(--aqua);
}
.aqua-bg{
    background-color: var(--aqua);
    color: white;
}
body{
    font-size: 16px;
    /* font-family: 'Albert Sans', system-ui, -apple-system, BlinkMacSystemFont, sans-serif; */
    font-family: 'Albert Sans';
    font-weight: 400;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
.container{
    max-width: 1200px;
    width: 90%;
    margin-inline: auto;
    padding-inline: 1rem;
}
.flex{
    display: flex;
    flex-wrap: wrap;
    align-items: anchor-center;
}
.menu{
    li{
        display: inline-block;
    }
}
.right{
    text-align: right;
}
.bold{
    font-weight: 700;
}
.thin{
    font-weight: 100;
}
img{
    width: 100%;
}
header{
    padding: 1rem 0;
    position: sticky;
    top: 0;
    z-index: 10;
    background-color: white;
    .logo-container{
        img{
            height: 2rem;
            width: auto;
            display: inline-block;
        }
    }
    .menu-container{
        flex: 1;
        color: var(--blue-forte);
        font-weight: 700;
        ul{
            padding: 0;
            margin: 0;
        }
        li{
            margin-left: 10%;
        }
    }
}
.hero{
    /* background-image: url(../img/wallpaper-blue.webp); */
    background: linear-gradient(to right, #276badff,#4abcdbff);
    background-size: cover;
    padding: 6rem 0 8rem 0;
    overflow: hidden;
    h1{
        font-size: 3.5rem;
    }
    h2{
        font-size: 2.2rem;
    }
    .hero-img-wrapper{
        position: relative;
        text-align: center;
        img.bolsa{
            width: clamp(300px, 37%, 90%);
            z-index: 1;
            position: relative;
        }
        img.shadow{
            position: absolute;
            width: clamp(300px, 37%, 90%);
            top: 79%;
            left: 34%;
            z-index: 0;
        }
    }
    .sencondary-inset-hero{
        position: relative;
        .waves{
            position: absolute;
            z-index: 0;
            height: 154%;
            left: 50%;
            transform: translateX(-50%);
            top: -17rem;
            aspect-ratio: 2 / 1;
            width: auto;
            min-width: 100%;
            
        }
        .container{
            position: relative;
            z-index: 1;
        }
    }
    .speech{
        margin: 16rem 0 8rem 0;
    }
}
.white{
    color: white;
}
.center{
    text-align: center;
}
.star-products-container{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    box-sizing: border-box;
    position: relative;
    
    .illustration{
        height: 17rem;
        overflow: hidden;
        display: flex;
        position: relative;
        transition: 0.5s all ease-in-out;
        img{
            height: 100%;
            width: auto;
            position: absolute;
            left: 50%;
            top: 0;
            transform: translateX(-50%);
        }
    }
    .card{
        flex: 1;
        background-color: white;
        box-sizing: border-box;
        padding: 1rem 0.5rem;
        border-radius: 2rem;
        -webkit-backdrop-filter: blur(40px) saturate(1);
		backdrop-filter: blur(40px) saturate(1);
		/* background-color: #0000000d; */
		background-color: rgba(255, 255, 255, 0.1);
		border: 1px solid hsla(0, 0%, 100%, .05);
		position: relative;
		/* corner-shape: squircle; */
        box-shadow: -1px -1px 1px 0px rgba(255, 255, 255, 0.4), 1px 1px 1px 0px rgba(225, 225, 225, 0.3);

        p.name{
            height: 2.5rem;
            color: white;
            font-weight: 700;
            text-align: center;
        }
        button{
            margin-left: auto;
            margin-right: auto;
            display: block;
            background-color: var(--aqua);
            color: white;
            border: 0px solid white;
            border-radius: 2rem;
            font-size: 1.2rem;
            padding: 1rem;
            max-width: 100%;
        }
        transition: 0.5s all ease-in-out;
        &:hover{
            /* transform: scale(1.1); */
            flex: 2;
            .illustration{
                transform: scale(1.2) translateY(-10%);
            }
        }
    }
}
.family{
    background-image: url(../img/family.webp);
    background-size: 100%;
    background-position: center 10%;
    background-repeat: no-repeat;
    padding-top: 3rem;
    padding-bottom: 3rem;
    color: var(--blue-forte);
    position: relative;
    overflow: hidden;
    .fractal{
        position: absolute;
        top: -5%;
        right: -5%;
        height: 110%;
        width: 110%;
        z-index: 0;
        min-width: 1500px;
        filter: blur(19px);
    }
    .container{
        position: relative;
        z-index: 1;
    }
    h1{
        font-size: 3rem;
    }
    p, ul{
        font-size: 1.6rem;
    }
    ul{
        margin-top: 2rem;
        margin-bottom: 19rem;
        margin-left: 0;

        font-weight: 700;
        padding-left: 0;
        li {
            list-style: none;
            position: relative;
            padding-left: 2rem;
        }

        li::before {
            content: "";
            position: absolute;
            left: 0;
            top: 0.3rem;

            width: 1.2rem;   /* tamaño */
            height: 1.2rem;  /* tamaño */

            background-image: url("../img/check.svg");
            background-size: contain;
            background-repeat: no-repeat;
        }
    }
}
.botones{
    display: flex;
    flex-wrap: wrap;
    /* grid-template-columns: repeat(auto-fill, minmax(200px, 1fr)); */
    position: relative;
    gap: 10px;
    box-sizing: border-box;
    justify-content: center;
    .boton{
        width: calc(200px - 10px);
        max-width: calc(50% - 10px);
        box-sizing: border-box;
        .illustration{
            position: relative;
            overflow: hidden;
            width: 100%;
            aspect-ratio: 1/1;
            img{
                height: 100%;
                width: auto;
            }
        }
    }

}
.suscription{
    background-image: url(../img/desayuno.png);
    background-size: 100% auto;
    background-position: center;
    padding: 20rem 0;
    background-attachment: fixed;
    overflow: hidden;
    .wrapper{
        background-color: var(--blue);
        border-radius: 2rem;
        padding: 0.5rem 1rem;
        color: white;
        text-align: center;
        width: 500px;
        max-width: 80%;
        
        margin-left: auto;
        margin-right: auto;
        position: relative;
        h3{
            font-size: 1.5rem;
            margin: 0.5rem 0;
        }
        p{
            width: 70%;
            margin-left: auto;
            margin-right: auto;
        }
        .scop, .leaf{
            position: absolute;
            width: 30%;
        }
        .scop{
            left: -19%;
            top: 5%;
            width: 34%;
        }
        .leaf{
            right: -9%;
            top: 29%;
            width: 23%;
        }
        form{
            position: relative;
            width: 70%;
            margin-left: auto;
            margin-right: auto;
            
            input{
                background-color: var(--sand);
                border: 0px solid white;
                position: relative;
                width: 100%;
                font-size: 1.2rem;
                padding: 0.5rem 0.8rem;
                border-radius: 2rem;
                box-sizing: border-box;
                &[type="submit"]{
                    position: absolute;
                    top: 0;
                    right: 0;
                    width: fit-content;
                    background-color: var(--aqua);
                    color: white;
                    border: 1px solid var(--sand);
                    font-size: 1.1rem;
                }
            }

        }
    }
}
.floating {
    animation: float 4s cubic-bezier(.45,.05,.55,.95) infinite;
    transition: 0.3s all linear;
}

@keyframes float {
     0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-22px);
    }
    100% {
        transform: translateY(0);
    }
}

.expand {
    animation: expand 4s cubic-bezier(.45,.05,.55,.95) infinite;
    transition: 0.3s all linear;
}
@keyframes expand {
     0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2);
    }
    100% {
        transform: scale(1);
    }
}
.contact{
    position: relative;
    padding-bottom: 5rem;
    .wave{
        position: absolute;
        z-index: 0;
        height: 170%;
        left: 50%;
        transform: translateX(-50%);
        top: -10rem;
        aspect-ratio: 2 / 1;
        width: auto;
        min-width: 100%;
        filter: drop-shadow(0 -9px 4px rgba(0, 0, 0, 0.3));
    }
    .container{
        position: relative;
        z-index: 2;
        .medios{
            color: white;
            width: 49%;
            display: inline-block;
            h1{
                font-size: 3rem;
                margin-top: 0;
                margin-bottom: 0.5rem;
            }
            p{
                font-size: 1.3rem;
            }
        }
        .form{
            width: 50%;
            display: inline-block;
            color: white;
            position: relative;
            box-sizing: border-box;
            padding-left: 5rem;
            form{
                position: relative;
                width: 330px;
                max-width: 100%;
                input, label, textarea{
                    width: 100%;
                    box-sizing: border-box;
                }
                textarea{
                    height: 5rem;
                }
                input, textarea{
                    border-radius: 1rem;
                    border: 0px solid white;
                    padding: 0.5rem 0.8rem;
                }
                label{
                    margin: 1rem 0 0.5rem 0rem;
                    display: block;
                }
            }
        }
    }
}
footer{
    position: relative;

    .wave{
        position: absolute;
        z-index: 0;
        height: 170%;
        left: 50%;
        transform: translateX(-50%);
        top: 0rem;
        aspect-ratio: 2 / 1;
        width: auto;
        min-width: 100%;
    }
    .container{
        position: relative;
        z-index: 2;
        color: white;
        padding-top: 7rem;
        .logo-container{
            img{
                height: 3rem;
                width: auto;
                filter: saturate(0) brightness(20);
            }
        }
        & .flex > div{
            width: 33%;
        }
        .links{
            font-size: 1.2rem;
            list-style: none;
            li{
                list-style: none;
                font-weight: 700;
            }
        }
        .social{
            i{
                background-color: white;
                color: var(--blue-forte);
                margin: 0rem 1rem;
                padding: 0.6rem 0.5rem 0.4rem 0.5rem;
                border-radius: 50%;
                aspect-ratio: 1/1;
            }
        }
    }
}

/* admin login style */

.adm-login main{

}

.group{
    position: relative;

    label{
        position: absolute;
    }

    input{
        font-size: 1.1rem;
        border-radius: 0.5rem;
        padding: 0.3rem 0.5rem;
    }
}